import { r as c, i as p, x as g, e as v } from "./query-assigned-elements-D930kELM.mjs";
import { n as d } from "./property-DJzm_oB9.mjs";
import { a as m } from "./dialog-CGLRIM8z.mjs";
import "./focused-page.mjs";
const h = ":host{--cv-dialog-border-radius: 0;--cv-dialog-horizontal-padding: 0;--cv-dialog-vertical-padding: 0;--mdc-dialog-scrim-color: transparent;--mdc-dialog-min-width: 100vw;--mdc-dialog-max-width: 100vw;--mdc-dialog-min-height: 100vh;--mdc-dialog-max-height: 100vh}.mdc-dialog .mdc-dialog__container{opacity:1;transform:translate(100%);transition:transform .3s ease}.mdc-dialog--opening .mdc-dialog__container{transform:translate(100%)}.mdc-dialog--open .mdc-dialog__container{transform:translate(0);transition:transform .3s ease}.mdc-dialog--closing .mdc-dialog__container{opacity:1;transform:translate(100%);transition:transform .3s ease}";
var u = Object.defineProperty, f = Object.getOwnPropertyDescriptor, n = (a, e, i, l) => {
  for (var t = l > 1 ? void 0 : l ? f(e, i) : e, r = a.length - 1, s; r >= 0; r--)
    (s = a[r]) && (t = (l ? s(e, i, t) : s(t)) || t);
  return l && t && u(e, i, t), t;
};
let o = class extends m {
  constructor() {
    super(...arguments), this.helpOpen = !1, this.helpResizable = !1;
  }
  /**
   * Since the default, action slots of mdc-dialog have been replaced with the focused page component,
   * override this method to return focused page as the initial focus element
   */
  getInitialFocusEl() {
    const a = `[${this.initialFocusAttribute}]`, e = this.querySelector(a);
    return e || this.renderRoot.querySelector("cv-focused-page");
  }
  render() {
    return g` <div
      class="mdc-dialog"
      role="alertdialog"
      aria-modal="true"
      aria-labelledby="title"
      aria-describedby="content"
    >
      <div class="mdc-dialog__container">
        <div class="mdc-dialog__surface">
          <div id="content" class="mdc-dialog__content">
            <cv-focused-page
              .helpOpen="${this.helpOpen}"
              .helpResizable="${this.helpResizable}"
              .hideTopBorder="${!0}"
            >
              <slot></slot>
              <slot name="help" slot="help"> </slot>
            </cv-focused-page>
          </div>
        </div>
      </div>
      <div class="mdc-dialog__scrim"></div>
    </div>`;
  }
};
o.styles = [
  p`
      ${c(m.styles)} ${c(h)}
    `
];
n([
  d({ type: Boolean, reflect: !0 })
], o.prototype, "helpOpen", 2);
n([
  d({ type: Boolean, reflect: !0 })
], o.prototype, "helpResizable", 2);
o = n([
  v("cv-full-screen-dialog")
], o);
const $ = o;
export {
  o as CovalentFullscreenDialog,
  $ as default
};
